package com.fjhx.account.entity.account.vo;

import com.fjhx.account.entity.account.po.AccountDeptRunningWaterDetail;
import com.fjhx.account.entity.account.po.AccountRunningWater;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 账户资金流水表列表查询返回值实体
 *
 * @author
 * @since 2023-04-06
 */
@Getter
@Setter
public class AccountRunningWaterVo extends AccountRunningWater {
    /**
     * 资金账户名称
     */
    private String accountManagementName;

    /**
     * 是否分拆(10 未分拆，20 已分拆 )
     */
    private String type;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 资金流水-部门表ID
     */
    private Long accountDeptRunningWaterId;

    /**
     *资金流水-部门关联表列表
     */
    private List<AccountDeptRunningWaterDetail> deptRunningWaterDetailList;

    /**
     * 收入金额
     */
    private BigDecimal incomeAmount;

    /**
     * 支出金额
     */
    private BigDecimal expenditureAmount;


    /**
     * 结余金额
     */
    private BigDecimal balanceAmount;

    /**
     * 日期
     */
    private String time;

    /**
     * 收支类型
     */
    private String status;

    /**
     * 归属公司id
     */
    private Long corporationId;

    /**
     * 归属公司名称
     */
    private String corporationName;

    /**
     * 账户余额
     */
    private BigDecimal remainder;

    /**
     * 资金账户账户
     */
    private String accountManagementOpening;

    /**
     * 订单编码集合
     */
    private String contractCodes;

    /**
     * 销售合同id集合
     */
    private String contractIds;
}
