package com.fjhx.account.mapper.account;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.po.AccountRequestFunds;
import com.fjhx.account.entity.account.vo.AccountRequestFundsVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 请款表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-10
 */
public interface AccountRequestFundsMapper extends BaseMapper<AccountRequestFunds> {

    /**
     * 请款表分页
     */
    Page<AccountRequestFundsVo> getPage(@Param("page") Page<Object> page, @Param("ew") QueryWrapper<Object> wrapper);

    /**
     * 获取历史付款信息
     */
    List<AccountRequestFundsVo> getPayHistoricalInfo(@Param("userId") Long userId);

}
