package com.fjhx.account.mapper.tax;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.tax.po.TaxRefundDetails;
import com.fjhx.account.entity.tax.vo.TaxRefundDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 退税明细表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
public interface TaxRefundDetailsMapper extends BaseMapper<TaxRefundDetails> {

    /**
     * 退税明细表分页
     */
    Page<TaxRefundDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<TaxRefundDetails> wrapper);

    /**
     * 获取总退税金额
     * @return
     */
    List<TaxRefundDetails> getSumMoneyByContractIds(@Param("ew") IWrapper<TaxRefundDetails> wrapper);
}
