package com.fjhx.account.service.account;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.dto.AccountRequestFundsDto;
import com.fjhx.account.entity.account.dto.AccountRequestFundsSelectDto;
import com.fjhx.account.entity.account.po.AccountRequestFunds;
import com.fjhx.account.entity.account.vo.AccountRequestFundsVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 请款表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-10
 */
public interface AccountRequestFundsService extends BaseService<AccountRequestFunds> {

    /**
     * 请款表分页
     */
    Page<AccountRequestFundsVo> getPage(AccountRequestFundsSelectDto dto);

    /**
     * 请款表明细
     */
    AccountRequestFundsVo detail(Long id);

    /**
     * 请款表新增
     */
    void add(AccountRequestFundsDto accountRequestFundsDto);

    /**
     * 请款表编辑
     */
    void edit(AccountRequestFundsDto accountRequestFundsDto);

    /**
     * 请款表删除
     */
    void delete(Long id);

    /**
     * 获取历史付款信息
     */
    List<AccountRequestFundsVo> getPayHistoricalInfo();

}
