package com.fjhx.purchase.mapper.pay;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.pay.po.Pay;
import com.fjhx.purchase.entity.pay.vo.PayVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;


/**
 * <p>
 * 采购付款 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
public interface PayMapper extends BaseMapper<Pay> {

    /**
     * 采购付款分页
     */
    Page<PayVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Pay> wrapper);

    /**
     * 获取采购付款金额
     */
    BigDecimal getPurchasePayAmount(@Param("ew") IWrapper<Pay> wrapper);

}
