package com.fjhx.purchase.service.pay;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.pay.dto.PayDto;
import com.fjhx.purchase.entity.pay.dto.PaySelectDto;
import com.fjhx.purchase.entity.pay.po.Pay;
import com.fjhx.purchase.entity.pay.vo.PayVo;
import com.ruoyi.common.core.service.BaseService;
import com.ruoyi.common.utils.wrapper.IWrapper;

import java.math.BigDecimal;
import java.util.Map;


/**
 * <p>
 * 采购付款 服务类
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
public interface PayService extends BaseService<Pay> {

    /**
     * 采购付款分页
     */
    Page<PayVo> getPage(PaySelectDto dto);

    /**
     * 采购付款明细
     */
    PayVo detail(Long id);

    /**
     * 采购付款新增
     */
    void add(PayDto payDto);

    /**
     * 采购付款编辑
     */
    void edit(PayDto payDto);

    /**
     * 采购付款删除
     */
    void delete(Long id);

    /**
     * 采购付款统计
     *
     * @param dto
     * @return
     */
    Map<String, Object> payStatistics(PaySelectDto dto);

    /**
     * 获取采购付款金额
     */
    BigDecimal getPurchasePayAmount(IWrapper<Pay> wrapper);
}
