package com.fjhx.sale.entity.contract.vo;

import com.fjhx.sale.entity.contract.po.ContractProduct;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 外销合同-产品列表查询返回值实体
 *
 * @author
 * @since 2023-04-17
 */
@Getter
@Setter
public class ContractProductVo extends ContractProduct {

    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 操作人
     */
    private String userName;

    /**
     * 版本
     */
    private String contractVersion;

    /**
     * 产品型号
     */
    private String productModel;

    /**
     * 转生产数量
     */
    private BigDecimal productQuantity;

    /**
     * 采购数量
     */
    private BigDecimal purchaseQuantity;

    /**
     * 所属分类
     */
    private String productCategory;

    /**
     * 货品编码
     */
    private String productCode;

    /**
     * 货品名称
     */
    private String productName;

    /**
     * 单位
     */
    private String productUnit;

    /**
     * 货品规格型号
     */
    private String productSpec;

    /**
     * 货品类型
     */
    private String productType;

    /**
     * 所属分类id
     */
    private Long productCategoryId;

    /**
     * 合同产品数量
     */
    private BigDecimal cpQuantity;

    /**
     * 已包装数量
     */
    private BigDecimal sumPackQuantity;

    /**
     * 已采购数
     */
    private BigDecimal sumPurchaseCount;

    /**
     * 订单类型
     */
    private String orderType;

    /**
     * 合同到账时间
     */
    private String claimTime;

    /**
     * 客户ID
     */
    private Long buyCorporationId;

    /**
     * 供应商ID
     */
    private Long sellCorporationId;

    /**
     * 交接单时间
     */
    private Date sampleTime;

    /**
     * 下单时间
     */
    private Date contractTime;

    /**
     * 客户名称
     */
    private String buyCorporationName;

    /**
     * 质检状态
     */
    private Integer qualityStatus;

    /**
     * 质检时间
     */
    private String qualityTime;

    /**
     * 验货人
     */
    private String qualityUserName;

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 结论
     */
    private String summary;

    /**
     * 供应商名称
     */
    private String supplyName;

    /**
     * 供应商ID
     */
    private Long supplyId;

    /**
     * 样品单表ID
     */
    private Long sampleId;

    /**
     * 合同模板id
     */
    private Long contractTemplateId;

    /**
     * 归属公司id
     */
    private Long corporationId;

    /**
     * 归属公司名称
     */
    private String corporationName;

    /**
     * 业务员id
     */
    private Long salesmanId;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 发起采购数量
     */
    private BigDecimal startPurchaseCount;
}
