package com.fjhx.sale.entity.contract.vo;

import com.fjhx.sale.entity.contract.po.Contract;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

@Getter
@Setter
public class PayDecisionAidVo {

    private List<Contract> contractList;

    private List<PurchaseInfo> purchaseInfoList;

    @Getter
    @Setter
    public static class PurchaseInfo {

        /**
         * 采购合同id
         */
        private Long purchaseId;

        /**
         * 采购合同编号
         */
        private String purchaseCode;

        /**
         * 申购明细id
         */
        private Long purchaseDetailsId;

        /**
         * 产品id
         */
        private Long productId;

        /**
         * 产品名称
         */
        private String productName;

        /**
         * 产品编码
         */
        private String productCode;

        /**
         * 采购数量
         */
        private BigDecimal purchaseQuantity;

        /**
         * 到货数量
         */
        private BigDecimal invoiceQuantity;

        /**
         * 质检合格数量
         */
        private BigDecimal qualifiedCount;

        /**
         * 质检不合格数量
         */
        private BigDecimal noQualifiedCount;

    }

}
