package com.fjhx.sale.entity.intermediate.vo;

import com.fjhx.sale.entity.intermediate.po.IntermediateContract;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 中间合同列表查询返回值实体
 *
 * @author
 * @since 2023-06-28
 */
@Getter
@Setter
public class IntermediateContractVo extends IntermediateContract {
    /**
     * 合同编号
     */
    private String code;
    /**
     * 合同金额
     */
    private BigDecimal amount;
    /**
     * 币种
     */
    private String currency;
    /**
     * 原合同卖方id 多公司
     */
    private Long oldSellCorporationId;
    /**
     * 原合同买方id 客户
     */
    private Long oldBuyCorporationId;

    /**
     * 原合同卖方名称 多公司
     */
    private String oldSellCorporationName;
    /**
     * 原合同买方名称 客户
     */
    private String oldBuyCorporationName;

    /**
     * 中间合同卖方名称 多公司
     */
    private String sellCorporationName;
    /**
     * 中间合同买方名称 多公司
     */
    private String buyCorporationName;

    private String opUserName;

}
