package com.fjhx.sale.entity.pack.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fjhx.sale.entity.documents.po.DocumentsProduct;
import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 装箱出货明细表	
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("pack_detail")
public class PackDetail extends BasePo {

    /**
     * 装箱单ID
     */
    private Long packId;

    /**
     * 客户ID
     */
    private Long customerId;

    /**
     * 合同IDS
     */
    private String contractIds;

    /**
     * 箱数
     */
    private BigDecimal packQuantity;

    /**
     * 净重 KG
     */
    private BigDecimal netWeight;

    /**
     * 毛重 KG
     */
    private BigDecimal roughWeight;

    /**
     * 长 cm
     */
    private BigDecimal boxLong;

    /**
     * 宽 cm
     */
    private BigDecimal boxWide;

    /**
     * 高 cm
     */
    private BigDecimal boxHigh;

    /**
     * 体积
     */
    private BigDecimal bomVolume;

    /**
     * 出货时间
     */
    private Date shipmentTime;

    /**
     * 出货状态 0未出货 1出货
     */
    private Integer shipmentStatus;

    /**
     * 运单号
     */
    private String waybillCode;

    /**
     * 快递ID
     */
    private Long expressId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 装箱明细自定义货物列表
     */
    @TableField(exist = false)
    private List<PackDetailGoods> packDetailGoodsList;

    /**
     * 装箱明细合同产品列表
     */
    @TableField(exist = false)
    private List<PackDetailProduct> packDetailProductList;

    /**
     * 装箱明细合同产品列表
     */
    @TableField(exist = false)
    private List<DocumentsProduct> documentsProductList;

}
