package com.fjhx.sale.entity.sale.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 报价表
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
@Getter
@Setter
@TableName("sale_quotation")
public class SaleQuotation extends BasePo {

    /**
     * 合同模版ID
     */
    private Long contractTemplateId;

    /**
     * 卖方公司ID
     */
    private Long sellCorporationId;

    /**
     * 卖方联系人名称
     */
    private String code;

    /**
     * 审批状态。10:发起。20 驳回。30通过
     */
    private String status;

    /**
     * 卖方联系人名称
     */
    private String sellContactName;

    /**
     * 卖方联系人电话
     */
    private String sellContactNumber;

    /**
     * 卖方国家表id
     */
    private String sellCountryId;

    /**
     * 卖方省份id
     */
    private String sellProvinceId;

    /**
     * 卖方城市id
     */
    private String sellCityId;

    /**
     * 卖方国家表名称
     */
    private String sellCountryName;

    /**
     * 卖方省份名称
     */
    private String sellProvinceName;

    /**
     * 卖方城市名称
     */
    private String sellCityName;

    /**
     * 卖方详细地址
     */
    private String sellAddress;

    /**
     * 买方公司ID
     */
    private Long buyCorporationId;

    /**
     * 买方联系人名称
     */
    private String buyContactName;

    /**
     * 买方联系人电话
     */
    private String buyContactNumber;

    /**
     * 买方国家表id
     */
    private Long buyCountryId;

    /**
     * 买方省份id
     */
    private Long buyProvinceId;

    /**
     * 买方城市id
     */
    private Long buyCityId;

    /**
     * 买方详细地址
     */
    private String buyAddress;

    /**
     * 买方邮编
     */
    private String buyPostalCode;

    /**
     * 币种（字典account_currency）
     */
    private String currency;

    /**
     * 客户标签
     */
    private String tag;

    /**
     * 付款金额（打款中的实际打款金额）
     */
    private BigDecimal amount;

    /**
     * 付款方式（字典funds_payment_method（多余的业务字段）
     */
    private String paymentMethod;

    /**
     * 贸易方式（字典trade_methods）
     */
    private String tradeMethods;

    /**
     * 预付比例
     */
    private String advanceRatio;

    /**
     * 运输方式（字典  shipping_method）
     */
    private String transportMethod;

    /**
     * 运输备注
     */
    private String transportRemark;

    /**
     * 有效期
     */
    private Integer effective;

    /**
     * 质保期
     */
    private Integer warranty;

    /**
     * 付款条件
     */
    private String remark;

    /**
     * 尔弘时代扩展json字段
     */
    private String ehsdJson;

    /**
     * 数据JSON
     */
    private String dataJson;
}
