package com.fjhx.wms.entity.monthly.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 月度库存报表
 * </p>
 *
 * @author
 * @since 2023-07-05
 */
@Getter
@Setter
@TableName("monthly_inventory_report")
public class MonthlyInventoryReport extends BasePo {

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 产品数量
     */
    private Long productId;

    /**
     * 初期数量
     */
    private BigDecimal initialQuantity;

    /**
     * 入库数量
     */
    private BigDecimal receiptQuantity;

    /**
     * 出库数量
     */
    private BigDecimal outboundQuantity;

    /**
     * 结存数量
     */
    private BigDecimal balanceQuantity;

    /**
     * 结存单价
     */
    private BigDecimal balanceUnitPrice;

    /**
     * 结存金额
     */
    private BigDecimal balanceAmount;

    /**
     * 报表时间
     */
    private Date dailyReportDate;

    /**
     * 租户id
     */
    private String tenantId;

}
