package com.fjhx.wms.mapper.monthly;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.monthly.po.MonthlyInventoryReport;
import com.fjhx.wms.entity.monthly.vo.MonthlyInventoryReportVo;
import com.fjhx.wms.entity.stock.vo.StockJournalDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 月度库存报表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-05
 */
public interface MonthlyInventoryReportMapper extends BaseMapper<MonthlyInventoryReport> {

    /**
     * 月度库存报表分页
     */
    Page<MonthlyInventoryReportVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<MonthlyInventoryReport> wrapper);

    /**
     * 获取上个月的出入库记录
     */
    List<StockJournalDetailsVo> getLastMonthStockJournal();

    /**
     * 获取上上个月的报表
     */
    List<MonthlyInventoryReportVo> getLastMonthMonthlyInventoryReport();

    /**
     * 获取日报已有年份列表
     */
    List<String> getYearList();

}
