package com.fjhx.wms.service.monthly;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.monthly.dto.MonthlyInventoryReportSelectDto;
import com.fjhx.wms.entity.monthly.po.MonthlyInventoryReport;
import com.fjhx.wms.entity.monthly.vo.MonthlyInventoryReportVo;
import com.ruoyi.common.core.service.BaseService;

import javax.servlet.http.HttpServletResponse;
import java.util.List;


/**
 * <p>
 * 月度库存报表 服务类
 * </p>
 *
 * @author
 * @since 2023-07-05
 */
public interface MonthlyInventoryReportService extends BaseService<MonthlyInventoryReport> {

    /**
     * 月度库存报表分页
     */
    Page<MonthlyInventoryReportVo> getPage(MonthlyInventoryReportSelectDto dto);

    /**
     * Excel导出
     */
    void exportExcel(MonthlyInventoryReportSelectDto dto, HttpServletResponse httpServletResponse);

    /**
     * 获取日报已有年份列表
     */
    List<String> getYearList();
}
